FreeBSD : OTRS -- Multiple vulnerabilities (cebd05d6-ed7b-11e7-95f2-005056925db4)

High Nessus Plugin ID 105503

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

OTRS reports :

An attacker who is logged into OTRS as an agent can request special URLs from OTRS which can lead to the execution of shell commands with the permissions of the web server user.

An attacker who is logged into OTRS as a customer can use the ticket search form to disclose internal article information of their customer tickets.

An attacker who is logged into OTRS as an agent can manipulate form parameters and execute arbitrary shell commands with the permissions of the OTRS or web server user.

An attacker can send a specially prepared email to an OTRS system. If this system has cookie support disabled, and a logged in agent clicks a link in this email, the session information could be leaked to external systems, allowing the attacker to take over the agent's session.

Solution

Update the affected package.

See Also

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=224729

http://www.nessus.org/u?48f3eb3b

http://www.nessus.org/u?0c1c4eb3

http://www.nessus.org/u?18e3a5f8

http://www.nessus.org/u?6e7e98e6

http://www.nessus.org/u?d10a1c75

Plugin Details

Severity: High

ID: 105503

File Name: freebsd_pkg_cebd05d6ed7b11e795f2005056925db4.nasl

Version: $Revision: 3.2 $

Type: local

Published: 2018/01/02

Modified: 2018/01/31

Dependencies: 12634

Risk Information

Risk Factor: High

CVSSv2

Base Score: 9

Vector: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

CVSSv3

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:otrs, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2017/12/30

Vulnerability Publication Date: 2017/11/21

Reference Information

CVE: CVE-2017-16664, CVE-2017-16854, CVE-2017-16921